Bug 951417 - CVE-2013-1944 curl: Cookie domain suffix match vulnerability [fedora-all]
Summary: CVE-2013-1944 curl: Cookie domain suffix match vulnerability [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: 18
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2013-1944
TreeView+ depends on / blocked
 
Reported: 2013-04-12 08:59 UTC by Jan Lieskovsky
Modified: 2013-05-25 12:15 UTC (History)
2 users (show)

Fixed In Version: curl-7.24.0-9.fc17
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:34:11 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-04-12 08:59:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Jan Lieskovsky 2013-04-12 08:59:39 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=950577,951417

Comment 2 Kamil Dudka 2013-04-12 13:09:41 UTC
fixed in curl-7.30.0-1.fc20

Comment 3 Fedora Update System 2013-04-12 19:31:45 UTC
curl-7.27.0-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/curl-7.27.0-8.fc18

Comment 4 Fedora Update System 2013-04-12 19:32:03 UTC
curl-7.29.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/curl-7.29.0-5.fc19

Comment 5 Fedora Update System 2013-04-12 19:32:17 UTC
curl-7.24.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curl-7.24.0-7.fc17

Comment 6 Fedora Update System 2013-04-13 17:11:04 UTC
Package curl-7.29.0-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing curl-7.29.0-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5598/curl-7.29.0-5.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-04-18 02:34:14 UTC
curl-7.27.0-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-04-20 19:45:19 UTC
curl-7.29.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-04-26 16:01:35 UTC
curl-7.27.0-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/curl-7.27.0-9.fc18

Comment 10 Fedora Update System 2013-04-26 16:02:22 UTC
curl-7.29.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/curl-7.29.0-6.fc19

Comment 11 Fedora Update System 2013-04-26 16:03:06 UTC
curl-7.24.0-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curl-7.24.0-8.fc17

Comment 12 Fedora Update System 2013-05-01 04:23:43 UTC
curl-7.29.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-05-06 03:48:51 UTC
curl-7.27.0-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-05-09 12:08:09 UTC
curl-7.24.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curl-7.24.0-9.fc17

Comment 15 Fedora Update System 2013-05-09 12:08:39 UTC
curl-7.27.0-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/curl-7.27.0-10.fc18

Comment 16 Fedora Update System 2013-05-15 03:25:49 UTC
curl-7.27.0-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-05-25 12:15:03 UTC
curl-7.24.0-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.